Subject: R: NFS mount for TQM823L

From: "RSR - Piero Dominioni" <[email-masked]>
Date: Mon, 8 Oct 2001 16:33:54 +0200

> > Try:
> >   ipconfig lo 127.0.0.1

> Well, of course, I meant 'ifconfig', not 'ipconfig'.
> I can't remember where this mistake comes from... ;-)

Dear Jean-Denis,
I think we're very close to the end, but not there yet!
I send you in attach the 'rpc' and 'services' files I loaded
on the target (I hand-wrote them first, unsuccessfully:
I copied then these ones from the host).
Here is what I type and obtain now.

/ # ifconfig lo 127.0.0.1
/ # /sbin/portmap
/ # rpcinfo -p
   program vers proto   port
    100000    2   tcp    111  portmapper
    100000    2   udp    111  portmapper
/ # /sbin/mountd
/ # /sbin/nfsd
/ # ps aux
  PID  Uid      Gid State Command
    1 root     root     S init
    2 root     root     S [keventd]
    3 root     root     S [kswapd]
    4 root     root     S [kreclaimd]
    5 root     root     S [bdflush]
    6 root     root     S [kupdated]
    9 root     root     R -sh
   12 root     root     S /sbin/inetd -i
   75 root     root     S /bin/sh /bin/application
   77 root     root     S sleep 500
   80 bin      root     S /sbin/portmap
   84 root     root     S [nfsd]
   85 root     root     S [lockd]
   86 root     root     S [rpciod]
   87 root     root     R ps aux
/ # rpcinfo -p
   program vers proto   port
    100000    2   tcp    111  portmapper
    100000    2   udp    111  portmapper
    100005    1   udp   2048  mountd
    100005    1   tcp   2048  mountd
    100005    2   udp   2048  mountd
    100005    2   tcp   2048  mountd
    100005    3   udp   2048  mountd
    100005    3   tcp   2048  mountd
    100003    2   udp   2049  nfs
    100003    3   udp   2049  nfs
    100021    1   udp   2048  nlockmgr
    100021    3   udp   2048  nlockmgr
    100021    4   udp   2048  nlockmgr

(Note that I type the 'mountd' command, but it doesn't
appear in the ps -aux output list!)
While if I type the same command for the host the
mountd uses a different port number...

/ # rpcinfo -p 126.126.126.106
   program vers proto   port
    100000    2   tcp    111  portmapper
    100000    2   udp    111  portmapper
    100005    1   udp    672  mountd
    100005    2   udp    672  mountd
    100005    1   tcp    675  mountd
    100005    2   tcp    675  mountd
    100003    2   udp   2049  nfs
    100003    2   tcp   2049  nfs
/ #

Your indications were once more correct: after to have
added the 'ifconfig' command to the target's busybox
(ver. 0.51) and to run it as you told me, 'rpcinfo -p' works fine.
But if I try to mount the target's filesystem from the host, with
/ # mount -t nfs 126.126.126.107:/  /mydir
on the host's console I get

mount: RPC: Program unavailable

while, exactly meantime, the following message appears
on the target's console:

svc: unknown program 100005 (me 100021)

I trust that your experience lets you understand
these messages better than me!
Waiting for your punctual answer...
Thank you.

Best regards.

Piero Dominioni
R.S.R. srl